Package wx :: Module html :: Class HtmlCellEvent

[frames | no frames]

## Type HtmlCellEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        HtmlCellEvent

Proxy of C++ HtmlCellEvent class

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
HtmlCell | `GetCell(self)`
bool | `GetLinkClicked(self)`
MouseEvent | `GetMouseEvent(self)`
Point | `GetPoint(self)`
| `SetLinkClicked(self, linkclicked)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, commandType, id, cell, pt, ev)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1219675644(...)
  Set Method:
    unknown--1219675588(...)

Generated by Epydoc 2.1.20050511.rpd on Mon May 14 12:01:46 2007 | http://epydoc.sf.net